{ pkgs ? import <nixpkgs> {}
}:
with pkgs;
let
  mateamt = haskellPackages.callPackage <mateamt/shell.nix>;
  ghcVersions =
    builtins.filter (p:
      p == "ghcHEAD" || builtins.match "ghc[[:digit:]]+" p != null
    ) (builtins.attrNames haskell.packages);
in

builtins.listToAttrs
  (map (ghcVersion: {
    name = "mateamt-${ghcVersion}";
    value = lib.hydraJob (mateamt {
      compiler = ghcVersion;
      nixpkgs = pkgs;
    });
  }) ghcVersions)
